# WOK
TKWOK
WOKStep

# WOKStep_DynamicLibrary Class Reference

`#include <WOKStep_DynamicLibrary.hxx>`

Inheritance diagram for WOKStep_DynamicLibrary:

[legend]

## Public Member Functions

Standard_EXPORT | WOKStep_DynamicLibrary (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&item)
| 1 - Adds File In list if file is an input of step 2 - Sets Build Flag if file is a candidate to construction
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | ComputeDatabaseDirectories () const

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_DynamicLibrary::WOKStep_DynamicLibrary | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKStep_DynamicLibrary::ComputeDatabaseDirectories | ( |  | ) | const`[protected]`

virtual Standard_EXPORT void WOKStep_DynamicLibrary::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Implements WOKMake_Step.

Standard_EXPORT const WOKStep_DynamicLibrary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_Library.

virtual Standard_EXPORT Standard_Boolean WOKStep_DynamicLibrary::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | item | ) | `[protected, virtual]`

| Reimplemented from WOKStep_Library.

The documentation for this class was generated from the following file:

- WOKStep_DynamicLibrary.hxx